This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 540791 - Review Request: rubygem-RubyInline - Write foreign code within your ruby code
Review Request: rubygem-RubyInline - Write foreign code within your ruby code
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 539442
Blocks: 541807
  Show dependency treegraph
 
Reported: 2009-11-24 01:11 EST by Matthew Kent
Modified: 2010-09-11 15:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.8.3-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-28 09:34:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthew Kent 2009-11-24 01:11:24 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-RubyInline.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-RubyInline-3.8.3-1.fc13.src.rpm
Description: Inline allows you to write foreign code within your ruby code. It
automatically determines if the code in question has changed and
builds it only when necessary. The extensions are then automatically
loaded into the class/module that defines it.

mkent@fedora-devel-chef:~/rpmbuild/SPECS$ rpmlint rubygem-RubyInline.spec /var/tmp/results/rubygem-RubyInline-*
rubygem-RubyInline-doc.noarch: W: no-documentation
3 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 1 Matthew Kent 2009-11-24 02:27:12 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-RubyInline.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-RubyInline-3.8.3-2.fc13.src.rpm

* Mon Nov 23 2009 Matthew Kent <mkent@magoazul.com> - 3.8.3-2
- Remove unused ruby_sitelib macro
Comment 2 Mamoru TASAKA 2009-11-26 14:50:25 EST
Some notes:

* BuildRequires
  - "BR: gcc" is redundant because gcc is always installed
    with mockbuild:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
    ( Well, I can guess why you added such explicit "BR: gcc" because
      actually "rake check" calls gcc while the rebuilt rpm itself
      is noarch, however still I think "BR: gcc" is redundant )

! example scripts
-------------------------------------------------------
# Organize this in a more typical way
mkdir %{buildroot}%{geminstdir}/examples
mv %{buildroot}%{geminstdir}/*.rb %{buildroot}%{geminstdir}/examples/
-------------------------------------------------------
  - I don't object to this, however I am not sure this is
    really needed or not, as 
    * these scripts are packaged into -doc subpackage so people 
      will easily find that these scripts are examples or so.
    * Also $ gem contents --prefix RubyInline expects that these
      scripts are under %geminstdir.
      This is NOT a blocker, because we already delete or move files
      which are expected by $ gem contents, however for this
      case I don't strictly feel the necessity for moving these
      files.

    However again I don't object to this.
Comment 3 Mamoru TASAKA 2009-11-26 14:51:20 EST
Anyway no blockers.

---------------------------------------------------------------
    This package (rubygem-RubyInline) is APPROVED by mtasaka
---------------------------------------------------------------
Comment 4 Matthew Kent 2009-11-26 22:48:08 EST
Thank you for the review.

(In reply to comment #2)
> Some notes:
> 
> * BuildRequires
>   - "BR: gcc" is redundant because gcc is always installed
>     with mockbuild:
>     https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
>     ( Well, I can guess why you added such explicit "BR: gcc" because
>       actually "rake check" calls gcc while the rebuilt rpm itself
>       is noarch, however still I think "BR: gcc" is redundant )
> 

Noted, thank you for the link.

> ! example scripts
> -------------------------------------------------------
> # Organize this in a more typical way
> mkdir %{buildroot}%{geminstdir}/examples
> mv %{buildroot}%{geminstdir}/*.rb %{buildroot}%{geminstdir}/examples/
> -------------------------------------------------------
>   - I don't object to this, however I am not sure this is
>     really needed or not, as 
>     * these scripts are packaged into -doc subpackage so people 
>       will easily find that these scripts are examples or so.
>     * Also $ gem contents --prefix RubyInline expects that these
>       scripts are under %geminstdir.
>       This is NOT a blocker, because we already delete or move files
>       which are expected by $ gem contents, however for this
>       case I don't strictly feel the necessity for moving these
>       files.
> 
>     However again I don't object to this.  

You're right - I should leave this up to the upstream developers.

Spec URL: http://magoazul.com/wip/SPECS/rubygem-RubyInline.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-RubyInline-3.8.3-3.fc13.src.rpm

* Thu Nov 26 2009 Matthew Kent <mkent@magoazul.com> - 3.8.3-3
- Drop redundant BR for gcc (#540791)
- Leave examples as upstream intended (#540791)
Comment 5 Matthew Kent 2009-11-26 22:49:16 EST
New Package CVS Request
=======================
Package Name: rubygem-RubyInline
Short Description: Write foreign code within your ruby code
Owners: mkent
Branches: F-11 F-12
InitialCC:
Comment 6 Kevin Fenzi 2009-11-27 00:32:38 EST
cvs done.
Comment 7 Fedora Update System 2009-11-27 22:54:41 EST
rubygem-RubyInline-3.8.3-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-RubyInline-3.8.3-4.fc12
Comment 8 Fedora Update System 2009-11-27 22:55:24 EST
rubygem-RubyInline-3.8.3-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-RubyInline-3.8.3-4.fc11
Comment 9 Mamoru TASAKA 2009-11-28 09:34:37 EST
Closing.
Comment 10 Fedora Update System 2009-11-30 23:25:24 EST
rubygem-RubyInline-3.8.3-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-11-30 23:42:28 EST
rubygem-RubyInline-3.8.3-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Michael Stahnke 2010-09-10 16:00:04 EDT
Package Change Request
======================
Package Name: rubygem-RubyInline
New Branches: el5 el6
Owners: stahnma

mkent is aware of change.
Comment 13 Kevin Fenzi 2010-09-11 15:46:12 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.